Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061631 - (SET) (6.2.1) InitialContext swallows original exception cause
Summary: (SET) (6.2.1) InitialContext swallows original exception cause
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Naming
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: CR4
: EAP 6.2.1
Assignee: Carlo de Wolf
QA Contact:
URL:
Whiteboard:
Depends On: 1061609
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-02-05 09:24 UTC by Carlo de Wolf
Modified: 2014-02-24 20:16 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Cause: Instantiation of an InitialContext might fail with: javax.naming.NamingException: JBAS011843: Failed instantiate InitialContextFactory com.sun.jndi.ldap.LdapCtxFactory from classloader ModuleClassLoader for Module "deployment.externalContextBindingTest.jar:main" from Service Module Loader The actual cause is not visible. Consequence: Troubleshooting the actual cause is impossible. Fix: Expose the underlying cause. Result: The real cause is listed in the trace: javax.naming.NamingException: JBAS011843: Failed instantiate InitialContextFactory com.sun.jndi.ldap.LdapCtxFactory from classloader ModuleClassLoader for Module "deployment.externalContextBindingTest.jar:main" from Service Module Loader [Root exception is javax.naming.CommunicationException: 127.0.0.1:10389 [Root exception is java.net.ConnectException: Connection refused]]
Clone Of: 1061609
Environment:
Last Closed: 2014-02-24 20:16:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2868 Critical Resolved Expose underlying cause during InitialContextFactory instantiation 2017-12-04 15:59:34 UTC

Comment 2 Russell Dickenson 2014-02-11 14:04:12 UTC
This ticket's release notes entry has been added to the EAP 6.2.1 Release Notes, as can be confirmed here: http://docbuilder.usersys.redhat.com/22553/.


Note You need to log in before you can comment on or make changes to this bug.